Uploaded image for project: 'Lucene - Core'
  1. Lucene - Core
  2. LUCENE-2378

Cutover remaining usage of pre-flex APIs

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.0-ALPHA
    • Component/s: core/index
    • Labels:
      None
    • Lucene Fields:
      New

      Description

      A number of places still use the pre-flex APIs.

      This is actually healthy, since it gives us ongoing testing of the back compat emulation layer.

      But we should at some point cut them all over to flex. Latest we can do this is 4.0, but I'm not sure we should do them all for 3.1... still marking this as 3.1 to "remind us"

        Attachments

        1. LUCENE-2378_FileFloatSource.patch
          5 kB
          Yonik Seeley
        2. LUCENE-2378_PagedBytes.patch
          4 kB
          Yonik Seeley
        3. LUCENE-2378_UnInvertedField.patch
          18 kB
          Yonik Seeley
        4. LUCENE-2378.patch
          3 kB
          Michael McCandless
        5. LUCENE-2378.patch
          1 kB
          Michael McCandless
        6. LUCENE-2378.patch
          364 kB
          Michael McCandless
        7. LUCENE-2378.patch
          361 kB
          Michael McCandless
        8. TestEnumPerf.java
          5 kB
          Yonik Seeley
        9. TestEnumPerf.java
          3 kB
          Yonik Seeley

          Issue Links

            Activity

              People

              • Assignee:
                mikemccand Michael McCandless
                Reporter:
                mikemccand Michael McCandless
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: